BFD AdminDown нужно отличать от обнаруженного отказа пути

Запросить

Фотография конкретного исполнения не приложена.

В мониторинге любое состояние без Up иногда попадает в одну общую сетевую аварию. Это теряет важную причину. Административное завершение session и истечение detection timer требуют разных действий сопровождения.

RFC 5880 задаёт AdminDown, Down, Init и Up, а также отдельный Diagnostic field. State показывает стадию session, diagnostic — локальную причину последнего изменения по предусмотренным codes. Число события нельзя читать без этих двух контекстов.

Init участвует в установлении session и не является синонимом готовой рабочей связности. Также peer может сообщить Down по своей причине, отличной от local timeout. Несовпавшие журналы сторон не обязательно противоречат друг другу: они наблюдают разные переходы.

В приёмке проверяют запуск, штатную административную остановку и потерю feedback. Сопоставляют states и diagnostics обеих сторон. Отчёт должен локализовать событие. Один счётчик BFD Down не определяет, был ли неисправен физический path, выполнялось ли обслуживание или session ещё не завершила первоначальный handshake.

Основание — VRRPv3 RFC9568 April2024 and selected BFD base, single/multihop, application, micro and seamless RFCs, разделы RFC5880 State field; Diagnostic field;6.2 BFD State Machine. Сохранён текст публичной справочной публикации; конкретная реализация может поддерживать только часть возможностей. Основание — указанные RFC: VRRPv3 рассматривается по RFC 9568 от апреля 2024 года, заменившему RFC 5798; BFD — в явно указанном scope. Реальная поддержка, timers, hardware и маршруты не проверялись. Переключения, faults, пакеты и настройки рабочей сети не выполнялись.

Все разборы